Bug 24492 - Move Local and NoAccess security rules from FrameLoader to SecurityOrigin
: Move Local and NoAccess security rules from FrameLoader to SecurityOrigin
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Page Loading
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Adam Barth
:
Depends on:
Blocks: 25040
  Show dependency treegraph
 
Reported: 2009-03-10 09:28 PDT by Darin Fisher (:fishd, Google)
Modified: 2009-06-13 21:37 PDT (History)
4 users (show)

See Also:


Attachments
patchy (16.25 KB, patch)
2009-06-13 21:02 PDT, Adam Barth
fishd: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Fisher (:fishd, Google) 2009-03-10 09:28:14 PDT
Move Local and NoAccess security rules from FrameLoader to SecurityOrigin

This bug is about moving the following functions:

registerURLSchemeAsLocal
shouldTreatURLAsLocal
shouldTreatURLSchemeAsLocal
registerURLSchemeAsNoAccess
shouldTreatURLSchemeAsNoAccess

I also question whether we should keep shouldTreatURLAsLocal.  It seems a bit unnecessary.
Comment 1 Darin Fisher (:fishd, Google) 2009-03-10 09:28:49 PDT
There is some related discussion in bug 24437.
Comment 2 Jian Li 2009-04-03 15:13:54 PDT
We also need to make SecurityOrigin thread safe. Considering making all statics use TLS.
Comment 3 Darin Fisher (:fishd, Google) 2009-04-03 15:22:26 PDT
I think that should be turned into a separate bug.  This one is just above moving some code, which is what I plan to do.
Comment 4 Jeremy Orlow 2009-06-03 13:52:40 PDT
Hm.  Interesting.  This seems a bit related to https://bugs.webkit.org/show_bug.cgi?id=26143 ("SecurityOrigin should probably be split into Origin and EffectiveScriptOrigin").
Comment 5 Adam Barth 2009-06-13 20:30:59 PDT
Stealing.  This is low hanging fruit on my quest to tame FrameLoader.
Comment 6 Adam Barth 2009-06-13 21:02:17 PDT
Created attachment 31251 [details]
patchy
Comment 7 Darin Fisher (:fishd, Google) 2009-06-13 21:06:53 PDT
Comment on attachment 31251 [details]
patchy

> +2009-06-13  Adam Barth  <abarth@webkit.org>
> +
> +        Reviewed by NOBODY (OOPS!).
> +
> +        Moved registerURLSchemeAsLocal and registerURLSchemeAsNoAccess from
> +        FrameLoader to SecurityOrigin.
> +

nit: provide a bug reference.  same goes for the other ChangeLogs.

R=me
Comment 8 Adam Barth 2009-06-13 21:08:27 PDT
> nit: provide a bug reference.  same goes for the other ChangeLogs.

Thanks.  I have trouble remembering to do that for some reason.
Comment 9 Adam Barth 2009-06-13 21:37:37 PDT
Fixed in http://trac.webkit.org/changeset/44664.